It may be time to update your internet browser

To continue to meet security standards, we (and a number of other websites) are making a few updates which may affect you.

If you’re using an old internet browser or version of our Android app you’ll need to update this before 15 May to continue to use Trade Me. If you haven’t updated this before 15 May, you’ll see an error page and be unable to access Trade Me.

Why are we doing this?

We take security very seriously here at Trade Me so, to continue to meet security standards, we’ve had to make a few changes to ensure your connection to Trade Me is safe.

How can I make sure my browser or app is up to date?

Most internet browsers update automatically. However, if you can’t access Trade Me from 15 May you can upgrade your browser using the following links:

Mozilla Firefox

https://www.mozilla.org/en-US/firefox/new/

Google Chrome

https://www.google.com/chrome/

To update your Android app, head to the Play Store.

If you're still having trouble, please get in touch